Subject: bug#59038: loading this base64 file makes emacs -Q 28.2 peg a core infinitely

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Nov 2022 11:30:58 +0200

> From: Chris Hecker <[email-masked]>
> Date: Sat, 5 Nov 2022 01:21:34 -0700
> Cc: [email-masked], Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > It's a single 21,728-character line.
> 
> Yeah?  This isn’t 1970.  I have 32gb of ram and a 12 core cpu.   It’s a bug.  It should either parse the file
> (instantly, it’s 27kb) or it should at least stop after a few ms and tell me it’s lame and needs me to switch
> manually to another mode.  I mean, given the 28.2 user experience, there is no opportunity to switch to
> fundamental mode because emacs was hosed.  I don’t even think ctrl-g worked for me.

Like I said, try Emacs 29, where this should be fixed.

I mentioned the actual length of the line FTR, not as an excuse for
unbearably slow display.